Package org.apache.solr.common.cloud

## Interface CloudCollectionsListener

    public interface CloudCollectionsListener

Callback registered with `ZkStateReader.registerCloudCollectionsListener(CloudCollectionsListener)` and called whenever the cloud's set of collections changes.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onChange​(Set<String> oldCollections, Set<String> newCollections)` Called when a collection is created, a collection is deleted or a watched collection's state changes.

### Method Detail

#### onChange

    void onChange​(Set<String> oldCollections,
                  Set<String> newCollections)

Called when a collection is created, a collection is deleted or a watched collection's state changes.

Note that, due to the way Zookeeper watchers are implemented, a single call may be the result of multiple or no collection creation or deletions. Also, multiple calls to this method can be made with the same set of collections, ie. without any new updates.

Parameters:
  `oldCollections` - the previous set of collections
  `newCollections` - the new set of collections